Search Results for

Show / Hide Table of Contents

# Class MainLoop.Timeout

Provides data for timers running manipulation.

##### Inheritance

System.Object
MainLoop.Timeout

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class Timeout : Object

### Constructors

#### Timeout()

##### Declaration

    public Timeout()

### Fields

#### Callback

The function that will be invoked.

##### Declaration

    public Func<MainLoop, bool> Callback

##### Field Value

Type | Description
--- | ---
System.Func<MainLoop, System.Boolean> |

#### Span

Time to wait before invoke the callback.

##### Declaration

    public TimeSpan Span

##### Field Value

Type | Description
--- | ---
System.TimeSpan |